Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "8c455447-51d2-4aef-b31a-587a9a99357f",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "301ae01c-0cbe-47fd-9c12-6b929020788f",
"company_code": "sample string 5",
"company": {
"id": "bb68af7f-35cc-4a25-9f6b-9f6c34534349",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-19T18:54:11.2113035+00:00",
"sales_territory_id": "166cc96a-a38a-4497-b579-1cc039064be2",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "7030f662-7d39-4fae-81fc-fb3d8ae75c9c",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "0fae9b2f-d8f7-4827-afac-5f47be991de4",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "869993b9-00ca-4cc1-8152-3c8490719d0d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ae529bba-29f5-4b23-8bf4-ec6c9fddc7f8",
"db_currency_id": "d9a931f9-4d95-42c0-a090-84a77237e50a",
"db_language_id": "1253aa29-f962-49fb-9efb-b56ada625a97",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T18:54:11.2113035+00:00"
},
"modified_dateutc": "2026-11-19T18:54:11.2113035+00:00"
},
"marketing_segment_id": "ab4dd610-2610-40b7-8a1b-03fe9dbf4e55",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "f5fa676e-4516-435d-b040-503bd029353a",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "659599b6-73da-44b0-bb51-e3e30540baba",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "53b3d3d2-8a08-49b1-a4fa-8195ec7a51bf",
"db_country_code": "sample string 28",
"feelist_id": "59368222-98cd-4f60-b9fe-cd59b7f7c828",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "2c73c04b-7987-47b8-b687-d04e725b3c88",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "2b4949c5-077c-46ff-b643-20127519a307",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-19T18:54:11.2113035+00:00",
"db_currency_id": "b79ba814-4829-48b7-9f7b-d7bcf57bb619",
"db_currency_code": "sample string 10"
},
"company_type_id": "7e4868e2-cd3a-411a-9638-e456c2413d48",
"company_type_name": "sample string 32",
"company_type": {
"id": "b4c4ffdc-314b-4528-885e-6cd2723d0e4c",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "6b8632a7-17a0-455a-b574-59296a0b14ee",
"sales_organization_code": "sample string 5"
},
"db_language_id": "d7ddee17-2967-46f4-8d21-b700d28fcd2b",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "c1c207ec-0b64-4b2c-a0aa-439517060d54",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "6fa8bdd5-bc99-4298-b086-ed3471e4967b",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "58bbaa49-42f5-409d-baae-b9f4f3a11233",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-19T18:54:11.2113035+00:00"
},
"company_sector_id": "8831f8b3-583c-43c6-a0d6-d59e3ec5a489",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "c8cf372d-1f38-4e27-aebf-6838cb7222ec",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "d5818b0e-5374-4c8b-b4d7-173e1b892cd1",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "5ac8e32f-3bbe-44e7-a99c-cf13ac16014f",
"account_manager_user_code": "sample string 56",
"company_status_id": "ba6c44b1-663a-4d74-b5f3-d4158e90b4a8",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-19T18:54:11.2113035+00:00",
"id2": 60
},
"db_language_id": "f46ce820-45bd-429c-a643-924e3425607f",
"db_language_code": "sample string 7",
"db_title_id": "26997565-1959-4203-95fe-091be85798da",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-19T18:54:11.2113035+00:00",
"create_date": "2026-11-19T18:54:11.2113035+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-19T18:54:11.2113035+00:00"
}